##
## Do NOT remove the comments that start with "tdevelop:"
## They are actually directives to the tdevelop plugin system
##
## The include_xxxx variables are controlled by configure.in.in
##

#tdevelop: ADA_BUILDTOOL = ada
if include_ada
ADA_BUILDTOOL = ada
endif

#tdevelop: ANT_BUILDTOOL = ant
if include_ant
ANT_BUILDTOOL = ant
endif

#tdevelop: AUTOTOOLS_BUILDTOOL = autotools
if include_autoproject
AUTOTOOLS_BUILDTOOL = autotools
endif

#tdevelop: CUSTOMMAKEFILES_BUILDTOOL = custommakefiles
if include_customproject
CUSTOMMAKEFILES_BUILDTOOL = custommakefiles
endif

#tdevelop: PASCAL_BUILDTOOL = pascal
if include_pascal
PASCAL_BUILDTOOL = pascal
endif

#tdevelop: QMAKE_BUILDTOOL = qmake
if include_trollproject
QMAKE_BUILDTOOL = qmake
endif

#tdevelop: SCRIPT_BUILDTOOL = script
if include_scriptproject
SCRIPT_BUILDTOOL = script
endif

SUBDIRS = lib $(ADA_BUILDTOOL) $(ANT_BUILDTOOL) \
	$(AUTOTOOLS_BUILDTOOL) $(CUSTOMMAKEFILES_BUILDTOOL) $(PASCAL_BUILDTOOL) \
	$(QMAKE_BUILDTOOL) $(SCRIPT_BUILDTOOL)

DOXYGEN_EMPTY = YES
include ../Doxyfile.am
